$kind: http-request
url: "{{Local_URL}}/accounts/transactions/add-prepaid"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"transaction_date\": \"2024-10-04\",\r

    \    \"reference\": \"INC-20241004\",\r

    \    //\"project_id\": 1, Nullable\r

    \   // \"segment_id\": 2, Nullable\r

    \    //\"budget_id\": 3, Nullable\r

    \    \"journal_type_id\": 3, \r

    \    \"description\": \"Income supplies purchase\",\r

    \    \"lines\": [\r

    \          {\r

    \            \"chart_of_account_id\": 17, //Prepaid -
    /get-prepaid-accounts\r

    \            \"debit_amount\": 10,\r

    \            \"currency_id\": 2\r

    \        },\r

    \        {\r

    \            \"chart_of_account_id\": 29, //Cash Accounts -
    /get-cash-accounts\r

    \            \"credit_amount\": 10,\r

    \            \"currency_id\": 2\r

    \        }\r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 8000
